package com.huigou.topsun.sap.nonProdApply.domain.vo;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;


@Data
public class ProdApplyToSapVO {


    /**
     * 物料编码
     */
    @JSONField(name = "MATNR")
    private String matnr;

    /**
     * 物料类型
     */
    @JSONField(name = "MTART")
    private String mtart;

    /**
     * 物料组
     */
    @JSONField(name = "MATKL")
    private String matkl;

    /**
     * 集团删除
     */
    @JSONField(name = "LVORM")
    private String lvorm;

    /**
     * 产品组
     */
    @JSONField(name = "SPART")
    private String spart;

    /**
     * 销售项次组
     */
    @JSONField(name = "MTPOS")
    private String mtpos;

   //物料描述
    @JSONField(name = "MAKTX_ZH")
    private String maktxZh;

   //语言代码
   @JSONField(name = "SPRAS_ZH")
   private String sprasZh;
    /**
     * 英语品名
     */
    @JSONField(name = "MAKTX_EN")
    private String maktxEn;

    /**
     * 英语语言码
     */
    @JSONField(name = "SPARS_EN")
    private String sparsEn;

    /**
     * 适用标准
     */
    @JSONField(name = "NORMT")
    private String normt;

 /**
  * 采购组织
  */
 @JSONField(name = "EKORG")
 private String ekorg;


   /**
    * 默认采购组
    */
   @JSONField(name = "EKGRP")
   private String ekgrp;


 /**
  * 采购计量单位
  */
 @JSONField(name = "BSTME")
 private String bstme;


 /**
  * 过账到质检
  */
 @JSONField(name = "INSMK")
 private String insmk;


 /**
     * 批次管理
     */
    @JSONField(name = "XCHPF")
    private String xchpf;



    /**
     * 包装物料组
     */
    @JSONField(name = "MAGRV")
    private String magrv;

    /**
     * 基本计量单位
     */
    @JSONField(name = "MEINS")
    private String meins;

    /**
     * 毛重
     */
    @JSONField(name = "BRGEW")
    private String brgew;

    /**
     * 净重
     */
    @JSONField(name = "NTGEW")
    private String ntgew;

    /**
     * 重量单位
     */
    @JSONField(name = "GEWEI")
    private String gewei;

 /**
  * MPN参数
  */
 @JSONField(name = "MPROF")
 private String mprof;


 /**
     * 体积
     */
    @JSONField(name = "VOLUM")
    private String volum;

    /**
     * 体积单位
     */
    @JSONField(name = "VOLEH")
    private String voleh;

    /**
     * 存储条件
     */
    @JSONField(name = "RAUBE")
    private String raube;

    /**
     * 有效期标识
     */
    @JSONField(name = "IPRKZ")
    private String iprkz;

    /**
     * 最小货架寿命
     */
    @JSONField(name = "MHDRZ")
    private String mhdrz;

    /**
     * 总有效期
     */
    @JSONField(name = "MHDHB")
    private String mhdhb;

    /**
     * 类型
     */
    @JSONField(name = "KLART")
    private String klart;

    /**
     * 分类
     */
    @JSONField(name = "CLASS")
    private String classify;

    /**
     * 销售组织
     */
    @JSONField(name = "VKORG")
    private String vkorg;

    /**
     * 分销渠道
     */
    @JSONField(name = "VTWEG")
    private String vtweg;

    /**
     * 销售计量单位
     */
    @JSONField(name = "VRKME")
    private String vrkme;

    /**
     * 转换分母
     */
    @JSONField(name = "UMREN")
    private String umren;

    /**
     * 转换分子
     */
    @JSONField(name = "UMREZ")
    private String umrez;

    /**
     * 交货工厂
     */
    @JSONField(name = "DWERK")
    private String dwerk;

    /**
     * 税收发运国
     */
    @JSONField(name = "ALAND")
    private String aland;

    /**
     * 税分类
     */
    @JSONField(name = "TAXKM")
    private String taxkm;

    /**
     * 统计组
     */
    @JSONField(name = "VERSG")
    private String versg;

    /**
     * 物料定价组
     */
    @JSONField(name = "KONDM")
    private String kondm;

    /**
     * 会计科目组
     */
    @JSONField(name = "KTGRM")
    private String ktgrm;

    /**
     * 产品层级
     */
    @JSONField(name = "PRODH")
    private String prodh;

    /**
     * 版式
     */
    @JSONField(name = "MVGR1")
    private String mvgr1;

    /**
     * 品牌
     */
    @JSONField(name = "MVGR2")
    private String mvgr2;

    /**
     * 用途
     */
    @JSONField(name = "MVGR3")
    private String mvgr3;

    /**
     * 备用
     */
    @JSONField(name = "MVGR4")
    private String mvgr4;

    /**
     * 备用
     */
    @JSONField(name = "MVGR5")
    private String mvgr5;


    /**
     * 运输组
     */
    @JSONField(name = "TRAGR")
    private String tragr;

    /**
     * 装载组
     */
    @JSONField(name = "LADGR")
    private String ladgr;

    /**
     * 工厂
     */
    @JSONField(name = "WERKS")
    private String werks;

 /**
  * 库存地点
  */
 @JSONField(name = "LGORT")
 private String lgort;

 /**
  * MRP组
  */
 @JSONField(name = "DISGR")
 private String disgr;



    /**
     * MRP类型
     */
    @JSONField(name = "DISMM")
    private String dismm;

    /**
     * 重订货点
     */
    @JSONField(name = "MINBE")
    private String minbe;

    /**
     * MRP控制者
     */
    @JSONField(name = "DISPO")
    private String dispo;

    /**
     * 批量规模
     */
    @JSONField(name = "DISLS")
    private String disls;

    /**
     * 固定批量
     */
    @JSONField(name = "BSTFE")
    private String bstfe;

    /**
     * 最大批量
     */
    @JSONField(name = "BSTMA")
    private String bstma;

    /**
     * 最小批量
     */
    @JSONField(name = "BSTMI")
    private String bstmi;

    /**
     * 最大存货水平
     */
    @JSONField(name = "MABST")
    private String mabst;

    /**
     * 设入值
     */
    @JSONField(name = "BSTRF")
    private String bstrf;

    /**
     * 获取类型
     */
    @JSONField(name = "BESKZ")
    private String beskz;

    /**
     * 特殊获取方式
     */
    @JSONField(name = "SOBSL")
    private String sobsl;

    /**
     * 默认生产库存地
     */
    @JSONField(name = "LGPRO")
    private String lgpro;

    /**
     * 倒冲标志
     */
    @JSONField(name = "RGEKZ")
    private String rgekz;

    /**
     * 默认采购收货库存地
     */
    @JSONField(name = "LGFSB")
    private String lgfsb;

    /**
     * 收货处理天数
     */
    @JSONField(name = "WEBAZ")
    private String webaz;

    /**
     * 自制时间
     */
    @JSONField(name = "DZEIT")
    private String dzeit;

    /**
     * 外部采购交货时间
     */
    @JSONField(name = "PLIFZ")
    private String plifz;

    /**
     * 排程边际码
     */
    @JSONField(name = "FHORI")
    private String fhori;

    /**
     * 安全库存
     */
    @JSONField(name = "EISBE")
    private String eisbe;

    /**
     * 最小安全库存
     */
    @JSONField(name = "EISLO")
    private String eislo;

    /**
     * 策略组
     */
    @JSONField(name = "STRGR")
    private String strgr;

    /**
     * 可用性检查组
     */
    @JSONField(name = "MTVFP")
    private String mtvfp;

    /**
     * 补货提前天数
     */
    @JSONField(name = "WZEIT")
    private String wzeit;

    /**
     * BOM选择方法
     */
    @JSONField(name = "ALTSL")
    private String altsl;

    /**
     * 独立/集中
     */
    @JSONField(name = "SBDKZ")
    private String sbdkz;

    /**
     * 库存地MRP标识
     */
    @JSONField(name = "DISKZ")
    private String diskz;

    /**
     * 投料计量单位
     */
    @JSONField(name = "AUSME")
    private String ausme;



//    /**
//     * 转换分母（生产）
//     */
//    @JSONField(name = "UMREN_PROD")
//    private String umrenProd;
//
//    /**
//     * 转换分子（生产）
//     */
//    @JSONField(name = "UMREZ_PROD")
//    private String umrezProd;

    /**
     * 生产计划参数文件
     */
    @JSONField(name = "SFCPF")
    private String sfcpf;



    /**
     * 序列号参数
     */
    @JSONField(name = "SERNP")
    private String sernp;

    /**
     * 序列号水平
     */
    @JSONField(name = "SERLV")
    private String serlv;

    /**
     * 利润中心
     */
    @JSONField(name = "PRCTR")
    private String prctr;

//    /**
//     * 工厂（利润中心）
//     */
//    @JSONField(name = "WERKS_PROFIT")
//    private String werksProfit;
//
//    /**
//     * 库存地点（利润中心）
//     */
//    @JSONField(name = "LGORT_PROFIT")
//    private String lgortProfit;

    /**
     * 仓库号
     */
    @JSONField(name = "LGNUM")
    private String lgnum;

    /**
     * 存储类型
     */
    @JSONField(name = "LGTYP")
    private String lgtyp;

    /**
     * 存货下架存储类型
     */
    @JSONField(name = "LTKZA")
    private String ltkza;

    /**
     * 存货上架存储类型
     */
    @JSONField(name = "LTKZE")
    private String ltkze;

    /**
     * 存储分区标识
     */
    @JSONField(name = "LGBKZ")
    private String lgbkz;

    /**
     * 仓库设施1存储数量
     */
    @JSONField(name = "LHMG1")
    private String lhmg1;

    /**
     * 仓库设施1存储单位
     */
    @JSONField(name = "LHME1")
    private String lhme1;

    /**
     * 仓库设施1类型
     */
    @JSONField(name = "LETY1")
    private String lety1;

//    /**
//     * 工厂（文档要求）
//     */
//    @JSONField(name = "WERKS_DOC")
//    private String werksDoc;

    /**
     * 文档要求
     */
    @JSONField(name = "KZDKZ")
    private String kzdkz;

    /**
     * 检验类型
     */
    @JSONField(name = "ART")
    private String art;

    /**
     * 激活标识
     */
    @JSONField(name = "AKTIV")
    private String aktiv;

//    /**
//     * 过账到质检（质检）
//     */
//    @JSONField(name = "INSMK_QM")
//    private String insmkQm;

    /**
     * 带任务清单检验
     */
    @JSONField(name = "PPL")
    private String ppl;

    /**
     * 自动分配
     */
    @JSONField(name = "APP")
    private String app;

    /**
     * 检查特性
     */
    @JSONField(name = "MER")
    private String mer;

    /**
     * 允许略过
     */
    @JSONField(name = "DYN")
    private String dyn;

    /**
     * 工厂（评估分类）
     */
    @JSONField(name = "BWKEY")
    private String bwkey;

    /**
     * 评估分类
     */
    @JSONField(name = "BKLAS")
    private String bklas;

    /**
     * 价格确定
     */
    @JSONField(name = "MLAST")
    private String mlast;

    /**
     * 价格控制
     */
    @JSONField(name = "VPRSV")
    private String vprsv;

    /**
     * 定价基数
     */
    @JSONField(name = "PEINH")
    private String peinh;

    /**
     * 移动平均价
     */
    @JSONField(name = "VERPR")
    private String verpr;

    /**
     * 标准价
     */
    @JSONField(name = "STPRS")
    private String stprs;

    /**
     * 数量结构
     */
    @JSONField(name = "EKALR")
    private String ekalr;

    /**
     * 不参与成本核算
     */
    @JSONField(name = "NCOST")
    private String ncost;

    /**
     * 物料来源
     */
    @JSONField(name = "HKMAT")
    private String hkmat;

    /**
     * 差异码
     */
    @JSONField(name = "AWSLS")
    private String awsls;


    /**
     * 更新标识
     */
    @JSONField(name = "UPDKZ")
    private String updkz;



}
